# Session manager

To be able to run a graphical enviroment it's necessary to run a seat and session manager. It's recommended to use `seatd` in conjunction with `pam_rundir` for a minimal setup:

```
# apk add seatd pam-rundir
```

Then make sure `pam_rundir` exports `XDG_RUNTIME_DIR` by uncommenting its line in `/etc/pam.d/base-session`:

```
session optional pam_rundir.so
```

Any graphical session launched has to be prefixed with:

```
$ dbus-run-session -- seatd-launch <program>
```
